Skip to main content
PATCH
/
project-other-items
/
{id}
Update a project other item
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/project-other-items/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoiceItemId": "<string>",
  "date": "2023-12-25",
  "description": "<string>",
  "quantity": 123,
  "rate": 123,
  "fee": 123
}
'
{
  "id": "7ed48ebd-8797-48b2-b54e-53bdc9c0656b",
  "date": "2026-02-25",
  "quantity": 8,
  "rate": 150,
  "fee": 1200,
  "description": "Additional consulting hours",
  "createdAt": "2026-02-25T20:20:59.129Z",
  "project": {
    "id": "9ee20e9d-10c1-4d52-9d93-bf2eeda62d45",
    "name": "Website Redesign",
    "client": {
      "id": "d5afaffe-09e5-4d73-b02c-905b40fc6c22",
      "name": "Acme Company, Inc."
    }
  },
  "invoiceItem": {
    "id": "72761804-b01e-4c8f-8352-2fcde43261a8",
    "name": "Professional Services"
  },
  "invoiced": false
}
Scheduled miscellaneous items to bill to a project. Includes items like products, licenses, deliverables, or other materials. Only available for billable projects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The project other item uuid

Body

application/json
invoiceItemId
string

The invoice item ID (uuid) for this other item.

date
string<date>

The date of the item. Will be in the form YYYY-MM-DD.

description
string

A description of the item being charged.

quantity
number

The quantity used to calculate the fee.

rate
number

The rate used to calculate the fee.

fee
number

The total amount of the item.

Response

200

id
string

The unique identifier for the object.

date
string<date>

The date of the item. Will be in the form YYYY-MM-DD.

quantity
number | null

The quantity used to calculate the fee.

rate
number | null

The rate used to calculate the fee.

fee
number

The total amount of the item.

description
string

A description of the item being charged.

createdAt
string<date-time>

The timestamp when the object was created.

project
object

The project this item belongs to.

invoiceItem
object

The invoice item associated with this other item.

invoiced
boolean

Whether the item has been invoiced.